﻿using System.ComponentModel.Composition;
using Jounce.Core.View;
using Jounce.Core.ViewModel;

namespace DynamicXap
{
    public class Bindings
    {
        [Export]
        public ViewModelRoute MainBinding
        {
            get { return ViewModelRoute.Create("MainViewModel", "MainPage"); }
        }

        [Export]
        public ViewModelRoute RedBinding
        {
            get { return ViewModelRoute.Create("ShapeViewModel", "RedView"); }
        }

        [Export]
        public ViewModelRoute BlueBinding
        {
            get { return ViewModelRoute.Create("ShapeViewModel", "BlueView"); }
        }

        [Export]
        public ViewModelRoute GreenBinding
        {
            get { return ViewModelRoute.Create("ShapeViewModel", "GreenView"); }
        }

        [Export]
        public ViewModelRoute PurpleBinding
        {
            get { return ViewModelRoute.Create("ShapeViewModel", "PurpleView"); }
        }

        [Export]
        public ViewXapRoute PurpleDynamicRoute
        {
            get
            {
                return ViewXapRoute.Create("PurpleView", "PurpleModule.xap");
            }
        }

        [Export]
        public ViewModelRoute OrangeBinding
        {
            get { return ViewModelRoute.Create("ShapeViewModel", "OrangeView"); }
        }

        [Export]
        public ViewXapRoute OrangeDynamicRoute
        {
            get
            {
                return ViewXapRoute.Create("OrangeView", "OrangeModule.xap");
            }
        }
    }
}
